html {
	margin: 0;
}

body {
	margin: 0;
	width: 100dvw;
	height: 100dvh;
}

@keyframes drift {
    from {
        background-position:
            0 0,
            0 0,
            0 0,
            0% 50%;
    }

    to {
        background-position:
            -250px 0,
            -300px 0,
            -400px 0,
            100% 50%;
    }
}

/* universal div attributes */
.maindivs {
	width: 100dvw;
	height: 100dvh;
}


/* These are for the login screen */
#btnLogIn {
	background-color: darkslategray;
	margin-top:	5px;
	margin-left: 0px;
	width: 83px;
	color: grey;
	height: 30px;
}
#btnLogIn:hover{
	color: #d2d2d2;
	background-color: #426969;
}
#btnCreateAccount {
	color: grey;
	margin-top: 5px;
	margin-right: 0px;
	background-color: darkslategray;
	height: 30px;
}
#btnCreateAccount:hover{
	color: #d2d2d2;
	background-color: #426969;
}

#divLoginScreen {
	padding-left: 40dvw;
	/* background-color: lightpink;*/

    /* Pink gradient */
    background:
        /* White specks */
        radial-gradient(circle at 20% 30%, rgba(255,255,255,0.8) 3px, transparent 2px),
        radial-gradient(circle at 60% 70%, rgba(255,255,255,0.7) 3px, transparent 2px),
        radial-gradient(circle at 80% 20%, rgba(255,255,255,0.6) 4px, transparent 3px),

        /* Main pink gradient */
        linear-gradient(
            120deg,
            #ffd6eb,
            #ffc1dd,
            #ffb3d5,
            #ffc1dd,
            #ffd6eb
        );

    background-size:
        250px 250px,
        300px 300px,
        400px 400px,
        300% 300%;

    animation:
        drift 60s linear infinite;
}

#inpPassword2 {
	margin-top: 10px;
}

#logintitle {
	margin-top: 15dvh;
	font-size: 24px;
	font-weight: bold;
	font-family: "Courier New";
	margin-left: 1dvw;
}

#inpUsername {
	margin-top: 15dvh;
	margin-bottom: 10px;
}

.logininputs {
	text-align: center;
	width: 200px;
	height: 25px;
	font-size: 16px;
	border: 2px black solid;
	font-family: "Georgia";
}

.logininputs:hover {
	background-color: #cfffff;
}

/* End of login screen styling */


/* start game styling */
#GameSelection {
    position: relative;
}

#GameSelection::before {
    content: "";

    position: fixed;
    inset: 0;

    z-index: -1;
    pointer-events: none;

    background:
        radial-gradient(circle at 20% 30%, rgba(255,255,255,0.8) 3px, transparent 2px),
        radial-gradient(circle at 60% 70%, rgba(255,255,255,0.7) 3px, transparent 2px),
        radial-gradient(circle at 80% 20%, rgba(255,255,255,0.6) 4px, transparent 3px),
        linear-gradient(
            120deg,
            #ffd6eb,
            #ffc1dd,
            #ffb3d5,
            #ffc1dd,
            #ffd6eb
        );

    background-size:
        250px 250px,
        300px 300px,
        400px 400px,
        300% 300%;

    animation: drift 60s linear infinite;
}

#tabContainer{
	border: 2px black solid;
	border-radius: 5px;
	position: fixed;
	margin-top: 10dvh;
	height: 80dvh;
	width: 40dvw;
	left: 30dvw;
	background-color: whitesmoke;
}

#btnStartGame{
	position: fixed;
	right: 3dvw;
	bottom: 3dvw;
}


#GotchiTab
{
	border-top-left-radius: 5px;
	display: flex;
	font-weight: bold;
	justify-content: center; 
	align-items: center;     
	font-size: 20px;
	font-family: "Courier New";
	position: fixed;	
	height: 8dvh;
	width: 13.333dvw;
	background: #b1b1b1;
	border-bottom: 2px black solid;
}

#OptionsTab
{
	display: flex;
	font-weight: bold;
	justify-content: center; 
	align-items: center;     
	font-size: 20px;
	font-family: "Courier New";
	position: fixed;
	border-left: 2px black solid;
	border-right: 2px black solid;
	right: 43.3dvw;
	height: 8dvh;
	width: 13.333dvw;
	background: #b1b1b1;
	border-bottom: 2px black solid;
}

#IslandTab
{
	border-top-right-radius: 5px;
	display: flex;
	font-weight: bold;
	justify-content: center; 
	align-items: center;     
	font-size: 20px;
	font-family: "Courier New";
	position: fixed;
	right: 29.9dvw;
	height: 8dvh;
	width: 13.39dvw;
	background: #b1b1b1;
	border-bottom: 2px black solid;
}

#GotchiTab:hover{
	background-color: #bdbdbd;
	color: black;
}

#OptionsTab:hover{
	background-color: #bdbdbd;
	color: black;
}

#IslandTab:hover{
	background-color: #bdbdbd;
	color: black;
}


#GotchiContent{
	background-color: white;
	width: 40dvw;
	height: 71.8dvh;
	position: fixed;
	top: 18.4dvh;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}
#OptionsContent{
	background-color: white;
	width: 40dvw;
	height: 71.8dvh;
	position: fixed;
	top: 18.4dvh;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}
#IslandContent{
	background-color: white;
	width: 40dvw;
	height: 71.8dvh;
	position: fixed;
	top: 18.4dvh;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}

#lbGotchiName{
	position: fixed;
	margin-left: 2dvw;
	top: 23.2dvh;
	font-family: "Georgia";
	font-size: 16px;
}

#GotchiName{
	position: fixed;
	margin-left: 2dvw;
	width: 150px;
	top: 23dvh;
	width: 150px;
	font-family: "Georgia";
	font-size: 16px;
	left: 40dvw;
}

#randomizeName{
	position: fixed;
	margin-left: 2dvw;
	top: 23dvh;
	font-family: "Georgia";
	right: 46dvw;
}

#lbPersonality{
	position: fixed;
	margin-left: 2dvw;
	top: 30dvh;
	font-family: "Georgia";
	font-size: 16px;
}

#personalityselector{
	position: fixed;
	margin-left: 2dvw;
	top: 29.73dvh;
	font-family: "Georgia";
	font-size: 16px;
	left: 40dvw;
}
